// #autoload
// #name = Flag Slide Hud
// #version = 2.0a
// #date = January 14, 2004.
// #author = Bluez
// #email = Bluez@oldfogieshome.com
// #web = http://www.oldfogieshome.com
// #description = edited by Barbarian so that capper shows next to flag he has, not team he is on
// #include = support/stat_support.cs
// #include = support/player_support.cs
// #include = support/team_tracker.cs
// #include = support/mission_callbacks.cs
// #include = support/events.cs

if(!isObject(FlagSlide)) {
   new ScriptObject(FlagSlide) {
       class = FlagSlide;
       FriendlyTeamCnt = "";
       EnemyTeamCnt = "";
    };
}

new AudioProfile(DropClick) {
   filename    = "fx/weapons/grenade_switch.wav";
   description = "AudioGui";
   preload = true;
};

new GuiControl(RabbitHud) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "130 175";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new HudBitmapCtrl(RabbitBMP) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "38 2";
		extent = "58 75";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.250000 0.250000 0.250000 1.000000";
		frameColor = "0.000000 1.000000 0.000000 1.000000";
		opacity = "1";
		bitmap = "gui/Rabbit_live.png";
		autoCenter = "0";
		autoResize = "1";
		flipVertical = "0";
		flipHorizontal = "0";
	};
	new HudBitmapCtrl() {
		profile = "GuiDefaultProfile";
		horizSizing = "center";
		vertSizing = "bottom";
		position = "4 71";
		extent = "120 36";
		minExtent = "120 36";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.000000 0.000000 0.000000 0.100000";
		frameColor = "0.000000 0.000000 1.000000 0.100000";
		opacity = "0.1";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";

		new GuiMLTextCtrl(RabbitName) {
			profile = "GuiTextObjGoldCenterProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "120 36";
			minExtent = "120 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			lineSpacing = "2";
			allowColorChars = "0";
			maxChars = "-1";

			maxLength = "255";
			longTextBuffer = "0";
		};
	};
	new GuiControl() {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "3 107";
		extent = "124 64";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new GuiTextCtrl(ScoreText) {
			profile = "TR2BonusBigText";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "2 0";
			extent = "122 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "SCORE:";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(RankText) {
			profile = "TR2BonusBigText";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "2 14";
			extent = "122 13";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "RANK:";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(KillText) {
			profile = "TR2BonusBigText";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "2 29";
			extent = "122 16";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "KILLS:";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(DeathText) {
			profile = "TR2BonusBigText";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "2 44";
			extent = "122 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "DEATHS:";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
};
 
    playgui.add(RabbitHud);
        if(isObject(HM) && isObject(HudMover))
        hudmover::addhud(RabbitHud, "LakRabbit HUD");
        
        
        
new GuiControl(FlagHUD) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "203 63";
	minExtent = "203 63";
	visible = "1";

	new HudBitmapCtrl(TeamCountIND1) {
		profile = "GuiTextObjGoldCenterProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "2 6";
		extent = "29 20";
		minExtent = "29 20";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.350000 0.000000 0.000000 0.400000";
		frameColor = "1.000000 0.000000 0.000000 0.400000";
		opacity = "0.4";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";

		new GuiTextCtrl(TeamCount1) {
			profile = "GuiTextObjGoldCenterProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "30 20";
			minExtent = "30 20";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "55";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
	new GuiControl(Slide2) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "87 7";
		extent = "0 17";
		minExtent = "0 17";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new HudBitmapCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "1 0";
			extent = "113 18";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			fillColor = "0.000000 0.000000 0.000000 0.200000";
			frameColor = "0.000000 0.000000 0.000000 0.000000";
			opacity = "0.15";
			autoCenter = "0";
			autoResize = "0";
			flipVertical = "0";
			flipHorizontal = "0";

			new GuiTextCtrl(Carrier2) {
				profile = "GuiTextObjGreenCenterProfile";
				horizSizing = "center";
				vertSizing = "center";
				position = "1 0";
				extent = "110 17";
				minExtent = "110 17";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				longTextBuffer = "0";
				maxLength = "255";
			};
		};
	};
	new HudBitmapCtrl(Indicator2) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "31 33";
		extent = "57 26";
		minExtent = "57 26";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.000000 0.250000 0.000000 0.400000";
		frameColor = "0.000000 1.000000 0.000000 0.400000";
		opacity = "0.4";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";

		new HudBitmapCtrl(FlagBmp2) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "4 0";
			extent = "20 25";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			fillColor = "0.250000 0.250000 0.250000 1.000000";
			frameColor = "0.000000 1.000000 0.000000 1.000000";
			opacity = "1";
			bitmap = "gui/flag4";
			autoCenter = "0";
			autoResize = "1";
			flipVertical = "0";
			flipHorizontal = "0";
		};
		new GuiTextCtrl(team1score) {
			profile = "GuiTextObjGoldCenterProfile";
			horizSizing = "relative";
			vertSizing = "relative";
			position = "20 5";
			extent = "37 16";
			minExtent = "37 16";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
	new GuiControl(Slide1) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "87 38";
		extent = "0 17";
		minExtent = "0 17";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new HudBitmapCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "1 0";
			extent = "113 18";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			fillColor = "0.000000 0.000000 0.000000 0.200000";
			frameColor = "0.000000 0.000000 0.000000 0.000000";
			opacity = "0.15";
			autoCenter = "0";
			autoResize = "0";
			flipVertical = "0";
			flipHorizontal = "0";

			new GuiTextCtrl(Carrier1) {
				profile = "GuiTextObjGreenCenterProfile";
				horizSizing = "center";
				vertSizing = "center";
				position = "1 0";
				extent = "110 17";
				minExtent = "110 17";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				longTextBuffer = "0";
				maxLength = "255";
			};
		};
	};
	new HudBitmapCtrl(Indicator1) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "31 3";
		extent = "57 26";
		minExtent = "57 26";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.350000 0.000000 0.000000 0.400000";
		frameColor = "1.000000 0.000000 0.000000 0.400000";
		opacity = "0.4";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";

		new HudBitmapCtrl(FlagBmp1) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "4 0";
			extent = "20 25";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			fillColor = "0.250000 0.250000 0.250000 1.000000";
			frameColor = "0.000000 1.000000 0.000000 1.000000";
			opacity = "1";
			bitmap = "gui/flag5";
			autoCenter = "0";
			autoResize = "1";
			flipVertical = "0";
			flipHorizontal = "0";
		};
		new GuiTextCtrl(team2score) {
			profile = "GuiTextObjGoldCenterProfile";
			horizSizing = "relative";
			vertSizing = "relative";
			position = "20 5";
			extent = "37 16";
			minExtent = "37 16";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
	new HudBitmapCtrl(TeamCountIND2) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "2 36";
		extent = "30 20";
		minExtent = "30 20";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.000000 0.250000 0.000000 0.400000";
		frameColor = "0.000000 1.000000 0.000000 0.400000";
		opacity = "0.4";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";

		new GuiTextCtrl(teamCount2) {
			profile = "GuiTextObjGoldCenterProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "29 20";
			minExtent = "29 20";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "55";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
	new GuiTextCtrl(VersusTag) {
		profile = "GuiTextObjGoldCenterProfile";
		horizSizing = "relative";
		vertSizing = "relative";
		position = "0 21";
		extent = "32 20";
		minExtent = "32 20";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "vs";
		longTextBuffer = "0";
		maxLength = "255";
	};
};

     playgui.add(FlagHUD);

    if(isObject(HM) && isObject(HudMover))
        hudmover::addhud(FlagHUD, "Flag HUD");
 
function TeamIndicator(%this) {
         %indicateTeam = teamTracker.friendlyTeamID;
            
             if(%indicateTeam == 1) {
                Indicator1.fillColor = "0.350000 0.000000 0.000000 0.800000";
                Indicator1.frameColor = "1.000000 0.000000 0.000000 0.800000";
                TeamCountIND1.fillColor = "0.350000 0.000000 0.000000 0.800000";
                TeamCountIND1.frameColor = "1.000000 0.000000 0.000000 0.800000";
                Indicator2.fillColor = "0.000000 0.250000 0.000000 0.800000";
                Indicator2.frameColor = "0.000000 1.000000 0.000000 0.800000";
                TeamCountIND2.fillColor = "0.000000 0.250000 0.000000 0.800000";
                TeamCountIND2.frameColor = "0.000000 1.000000 0.000000 0.800000";
                FlagBmp1.setbitmap("gui/flag5");
                FlagBmp2.setbitmap("gui/flag4"); }
                else {
                Indicator2.fillColor = "0.350000 0.000000 0.000000 0.800000";
                Indicator2.frameColor = "1.000000 0.000000 0.000000 0.800000";
                TeamCountIND2.fillColor = "0.350000 0.000000 0.000000 0.800000";
                TeamCountIND2.frameColor = "1.000000 0.000000 0.000000 0.800000";
                Indicator1.fillColor = "0.000000 0.250000 0.000000 0.800000";
                Indicator1.frameColor = "0.000000 1.000000 0.000000 0.800000";
                TeamCountIND1.fillColor = "0.000000 0.250000 0.000000 0.800000";
                TeamCountIND1.frameColor = "0.000000 1.000000 0.000000 0.800000";
                FlagBmp2.setbitmap("gui/flag5");
                FlagBmp1.setbitmap("gui/flag4"); }
}

function UpdateTeamCounts(%this) {
         %indicateTeam = teamTracker.friendlyTeamID;
             if(%indicateTeam < 1)
                VersusTag.setVisible(0);
                else
                VersusTag.setVisible(1);
         
             if(%indicateTeam < 1) {
                TeamCountIND1.fillColor = "0.000000 0.000000 0.400000 0.400000";
		        TeamCountIND1.frameColor = "0.000000 0.000000 1.000000 0.400000";
                TeamCountIND2.fillColor = "0.000000 0.000000 0.400000 0.400000";
		        TeamCountIND2.frameColor = "0.000000 0.000000 1.000000 0.400000";
                TeamCount1.setValue("OBS");
                TeamCount2.setValue(teamTracker.getTeamSize(0)); }
                else if(%indicateTeam == 1) {
                TeamCount1.setValue(teamTracker.getTeamSize(teamTracker.enemyTeamID));
                TeamCount2.setValue(teamTracker.getTeamSize(teamTracker.friendlyTeamID)); }
                else {
                TeamCount1.setValue(teamTracker.getTeamSize(teamTracker.friendlyTeamID));
                TeamCount2.setValue(teamTracker.getTeamSize(teamTracker.enemyTeamID)); }
}

function UpdateTeamScores(%this) {
             team1score.setValue(StatMissionData.TeamScore[1]);
             team2score.setValue(StatMissionData.TeamScore[2]);
}

function resetFlagSlide(%this) {
         Slide1.setExtent(0, 17);
         Slide2.setExtent(0, 17);
         Carrier1.setValue("");
         Carrier2.setValue("");
         team1score.setValue(0);
         team2score.setValue(0);
         cancel($DropperTimer1);
         cancel($DropperTimer2);
         SlideCarrierDrop();
}

function FlagwasCapped(%msgType, %msgStr, %clientname, %teamname, %teamid) {
         %teamid = detag(%teamid);
         $BlinkFlagCap = "FlagBmp" @ %teamid;

         for(%i = 1; %i <= 11; %i++)
             $BlinkFlagCap.schedule(%i * 100, setVisible, %i & 1);

         Slide1.setExtent(0, 17);
         Slide2.setExtent(0, 17);
         SlideCarrierDrop();
}

function SlideCarrierDrop(%clientid, %flagteam) {
         $currentExt = getWord($SlideValue.getExtent(), 0);
         if($currentExt > 0){
            $currentExt-= 10.2;
            $SlideValue.setExtent($currentExt, 17); }

             if(isEventPending($slideinfo))
                cancel($slideinfo);

             if($currentExt == 0)
             return;
             else
             $slideinfo = schedule(50, 0, SlideCarrierDrop);
}

function SlideCarrier(%clientid, %flagteam) {
         $currentExt = getWord($SlideValue.getExtent(), 0);
         if($currentExt < 102){
            $currentExt+= 10.2;
            $SlideValue.setExtent($currentExt, 17); }

             if(isEventPending($slideinfo))
                cancel($slideinfo);

             if($currentExt == 102) {
                return; }
                else {
                $slideinfo = schedule(25, 0, SlideCarrier);  }
}

function FlagWasReturned(%clientid, %flagteam) {
         cancel($DropperTimer[%flagteam]);
         $DropperTimer[%flagteam] = "";
         $SlideValue = "Slide" @ %flagteam;
         SlideCarrierDrop();
}

function FlagDropInfo(%msgType, %msgStr, %clientname, %teamname, %teamid) {
         %teamid = detag(%teamid);
         $DropperCount[%teamid] = 45;
         DropCountdown(%teamid);
}

function DropCountdown(%teamid) {
         %CarrierDrop = "Carrier" @ %teamid;
         %CarrierDrop.setValue("Dropped:\c2" SPC $DropperCount[%teamid]);
         if($DropperCount[%teamid] >= 0 && $DropperCount[%teamid] <= 10) {
            alxplay(DropClick, 0, 0, 0); }
            
         if($DropperCount[%teamid] > 0) {
            $DropperCount[%teamid]-= 1;
            $DropperTimer[%teamid] = schedule(1000, 0, "DropCountdown", %teamid);
            }
}

function PassFlagInfo(%msgType, %msgStr, %clientname, %teamname, %teamid, %taker) {
         %teamid = detag(%teamid);
         $SlideValue = "Slide" @ %teamid;
         $HudName = "Carrier" @ %teamid;
         cancel($DropperTimer[%teamid]);
         $DropperTimer[%teamid] = "";
         %CapperName = detag(%clientname);
         $HudName.setValue(%CapperName);
         
         SlideCarrier();
}

function Rabbitmarker(%msgType, %msgStr, %clientname) {
         %clientname = detag(%clientname);
         RabbitBMP.setbitmap("gui/Rabbit_live.png");
         RabbitName.setValue("<just:center>Rabbit:" NL "<just:center>" @ %clientname);
}

function RabbitDropped(%msgType, %targetObject, %clVictim, %clKiller, %damageType, %implement) {
         %targetRabbit = detag(%targetObject);

          if(%targetRabbit !$= PlayerList.getMyName())
             RabbitName.setValue("<just:center>" @ $Rabbitweapon SPC "Kill:" NL "<just:center>" @ $KillerName);
             else
             RabbitName.setValue("<just:center> YOU were Killed by:" NL "<just:center>" @ $KillerName);

          if($suicide)
             RabbitName.setValue("<just:center>SUICIDE BY:" NL "<just:center>" @ %targetRabbit);

          if($suicide && $kamakaziCheck)
             RabbitName.setValue("<just:center>LLAMMA SUICIDE:" NL "<just:center>" @ PlayerList.getMyName());
             
          RabbitBMP.setbitmap("gui/Rabbit_dead.png");
}

function PassKillInfo(%type, %killer, %victim, %weapon, %i_die, %i_win, %suicide, %tk) {
         $suicide = (%suicide == true);
         $kamakaziCheck = (%i_die == true);
}

function RabbitClientpoints(%msgType, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10) {
         $Rabbitweapon = detag(%a5);
}

function Rabbitpoints(%msgType, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10) {
         $Rabbitweapon = detag(%a6);
}

function RabbitFlagonStand() {
         RabbitBMP.setbitmap("gui/Rabbit_live.png");
         RabbitName.setValue("<just:center>\c2FLAG" NL "<just:center>ON STAND");
}

function GetServerMission() {
         %LakRabbit = (MissionCallback.getMissionType() $= "LakRabbit") ? true : false;

            RabbitHud.setVisible(%LakRabbit);
            FlagHUD.setVisible(!%LakRabbit);
            RabbitHud.setPosition(FlagHUD.getPosition());
}

function RabbitScore(%msgType, %msgString, %a1, %a2, %a3, %a4, %a5, %a6) {
         %myscore = detag(%a1);
         ScoreText.setValue("SCORE:" SPC %myscore);
}

function RabbitRank(%msgType, %msgString, %a1, %a2, %a3, %a4, %a5, %a6) {
	     %myrank = detag(%a1);
         %serverplayers = teamTracker.getTeamSize(1);
         RankText.setValue("RANK:" SPC %myrank SPC "of" SPC (%serverplayers));
}

function RabbitKills() {
         %myKills = StatSupport.getClientKills(teamTracker.myID);
         KillText.setValue("KILLS:" SPC %myKills);
}

function RabbitDeaths() {
         %myDeaths = StatSupport.getClientDeaths(teamTracker.myID);
         DeathText.setValue("DEATHS:" SPC %myDeaths);
}

function RabbitKillsB(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType) {
         $KillerName = detag(%killerName);
         $victimname = detag(%victimname);
}


package FlagSlideHud {

	function LoadingGui::onWake(%this) {

		parent::onWake(%this);
        	if(isObject(HM) && isObject(HudMover))
		        hudmover::addhud(RabbitHud, "LakRabbit HUD");
	        playgui.add(RabbitHud);

		if(isObject(HM) && isObject(HudMover))
		        hudmover::addhud(FlagHUD, "Flag HUD");
		playgui.add(FlagHUD);
	}

};


activatepackage(FlagSlideHud);

callback.add(onFlagGrab, SlideCarrier);
callback.add(onFlagReturn, FlagWasReturned);
addMessageCallback('MsgCTFFlagTaken', PassFlagInfo);
addMessageCallback('MsgCTFFlagDropped', FlagDropInfo);
addMessageCallback('MsgCTFFlagCapped', FlagwasCapped);

addMessageCallback('MsgRabbitFlagTaken', Rabbitmarker);
addMessageCallback('MsgRabbitFlagDropped', RabbitDropped);
addMessageCallback('msgPlrPointBonus', RabbitClientpoints);
addMessageCallback('msgRabbitPointBonus', Rabbitpoints);
addMessageCallback('MsgYourScoreIs', RabbitScore);
addMessageCallback('MsgYourRankIs', RabbitRank);
addMessageCallBack('MsgLegitKill', RabbitKillsB);
callback.add(KillCallback, PassKillInfo);
callback.add(onPlayerDeathUpdate, RabbitKills);
callback.add(onPlayerDeathUpdate, RabbitDeaths);

addMessageCallback('MsgRabbitFlagReturned', RabbitFlagonStand);

callback.add(onTeamScoreUpdate, UpdateTeamScores);
callback.add(MyTeamChanged, TeamIndicator);

callback.add(TeamUpdated, UpdateTeamCounts);
callback.add(onGameOver, resetFlagSlide);
callback.add(onGameOver, RabbitFlagonStand);
callback.add(onPlayGuiWake, GetServerMission);
